POST /api/v1/envelopes/bulk/initiate-base64 — Bulk Initiate Envelope Base64
Initiate multiple signature envelopes in a single request by providing documents as Base64-encoded strings. Returns an array of envelope IDs.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- WebhookId (GUID, optional)
- Unique identifier of the webhook.
- IsForExternalWorkFlow (boolean, optional)
- Indicates whether the workflow is external.
- WorkflowId (GUID, optional)
- Unique identifier of the workflow.
- EnvelopDataPositions (object, optional)
- For Positions Reference Number + Sadq Doc ID
- Files (array, required)
- An array of file objects, each containing file details.
- referenceNumber (string, optional)
- Unique String Number You Will Provided From Your Side
- userOnlySigner (boolean, optional)
- Indicates whether the user is the only signer.
{
"userOnlySigner": true,
"webhookId": "",
"workflowId": "",
"referenceNumber": "",
"isForExternalWorkFlow": true,
"files": [
{
"file": "",
"fileName": ""
},
{
"file": "",
"fileName": ""
}
]
}Responses
HTTP 200 — Bulk envelopes created
{
"data": {
"envelopeId": "71cbe1e0-1b18-42c6-88b2-9f371019c723",
"bulkFileResponse": [
{
"documentId": "d8190868-a918-4e82-b149-e6d0074dacf8",
"documentName": "example.pdf",
"referenceNumber": "Req-A-2026-126"
}
],
"destinations": null
},
"errorCode": 0,
"message": "Success",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 400 — Invalid request
{
"data": null,
"errorCode": 400,
"message": "At least one envelope is required",
"returnUrl": null,
"stateValidationErrors": null,
"signature": ""
}